Skip to content
GET /unified/usage-metering/usage

Query Parameters

Refer Specifying query parameters in Truto APIs

start_datestring · date-time

The start date for the usage data.

2 supported2 notes
Confluent
supported

If not specified, it defaults to the start of the current month.

Datadog
supported

If not specified, it defaults to the start of the current month. Only supports maximum resolution of a month.

end_datestring · date-time

The end date for the usage data.

2 supported2 notes
Confluent
supported

If not specified, it defaults to the end of the current month or the end of the month specified in the start date.

Datadog
supported

If not specified, it defaults to the end of the current month or the end of the month specified in the start date. Only supports maximum resolution of a month.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Usage

idstring
required·

Unique identifier for the usage.

2 supported
Confluent
supported
Datadog
supported
chargesobject[]

The amounts charged for the usage.

2 supported
Confluent
supported
Datadog
supported
3 properties
amountnumber

The amount charged for the usage.

currencystring

The currency in which the charge is made.

typestring

The type of charge.

Possible values:
totalon_demandcommitted
created_atstring · date-time

Date and time when the usage data metric was created.

end_datestring · date-time

The end date for the usage data.

2 supported
Confluent
supported
Datadog
supported
metric_namestring

Name of the metric being charged for

2 supported
Confluent
supported
Datadog
supported
organizationobject

The organization associated with the usage.

1 supported
Datadog
supported
2 properties
idstring
required·

Unique identifier for the organization.

namestring

Name of the organization.

productobject

The product associated with the usage.

2 supported
Confluent
supported
Datadog
supported
2 properties
idstring
required·

Unique identifier for the product.

namestring

Name of the product.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

resourcesobject[]
1 supported
Confluent
supported
3 properties
idstring

Unique identifier for the resource.

namestring

Name of the resource.

workspaceobject

The resource is present in this workspace.

2 properties
idstring

Unique identifier for the workspace.

namestring

Name of the workspace.

start_datestring · date-time

The start date for the usage data.

2 supported
Confluent
supported
Datadog
supported
updated_atstring · date-time

Date and time when the usage data metric was last updated.

usageobject

The usage data for the product.

1 supported
Confluent
supported
curl -X GET 'https://api.truto.one/unified/usage-metering/usage?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/usage-metering/usage?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/usage-metering/usage"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'usage-metering',
  'usage',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "usage-metering",
        "usage",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())